Subject: Re: bug#31851: 26.1; Support a frame-wide bar similar to the mode line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jun 2018 09:20:27 +0300

> From: Alex Branham <[email-masked]>
> Date: Fri, 15 Jun 2018 15:44:32 -0500
> 
> It would be nice to have something similar to the mode line but that
> doesn't get duplicated for every window. This would be nice to show (for
> example) non-window-specific information like the time, number of new
> emails/notifications, etc.

We already have that: it's called the tool bar.  Of course, if you use
a GTK or NS build, your Emacs is challenged, since the tool-bar
display is delegated to the toolkit.

Anyway, the way the tool bar is implemented in Emacs suggests the
implementation of the requested feature: a special window that
displays the contents of a Lisp string (which then could have other
display elements by way of display and other text properties).

Volunteers welcome.